Index: configure.ac
===================================================================
RCS file: /home/wine/wine/configure.ac,v
retrieving revision 1.580
diff -p -u -r1.580 configure.ac
--- configure.ac	27 Oct 2006 13:37:50 -0000	1.580
+++ configure.ac	5 Nov 2006 19:34:25 -0000
@@ -1016,7 +1016,11 @@ case $host_os in
     dnl declare needed frameworks
     AC_SUBST(COREFOUNDATIONLIB,"-framework CoreFoundation")
     AC_SUBST(IOKITLIB,"-framework IOKit -framework CoreFoundation")
-    AC_SUBST(DISKARBITRATIONLIB,"-framework DiskArbitration -framework CoreFoundation")
+    if test "$ac_cv_header_DiskArbitration_DiskArbitration_h" = "yes"
+    then
+        dnl DiskArbitration API is not public on Darwin < 8.0, use it only if header found
+        AC_SUBST(DISKARBITRATIONLIB,"-framework DiskArbitration -framework CoreFoundation")
+    fi
     AC_SUBST(LDEXECFLAGS,["-image_base 0x7bf00000 -Wl,-segaddr,WINE_DOS,0x00000000,-segaddr,WINE_SHARED_HEAP,0x7f000000"])
     if test "$ac_cv_header_CoreAudio_CoreAudio_h" = "yes" -a "$ac_cv_header_AudioUnit_AudioUnit_h" = "yes"
     then
Index: programs/explorer/diskarb.c
===================================================================
RCS file: /home/wine/wine/programs/explorer/diskarb.c,v
retrieving revision 1.1
diff -p -u -r1.1 diskarb.c
--- programs/explorer/diskarb.c	3 Oct 2006 15:05:40 -0000	1.1
+++ programs/explorer/diskarb.c	5 Nov 2006 19:34:31 -0000
@@ -37,7 +37,7 @@
 
 WINE_DEFAULT_DEBUG_CHANNEL(explorer);
 
-#ifdef __APPLE__
+#if defined(HAVE_DISKARBITRATION_DISKARBITRATION_H)
 
 #include <DiskArbitration/DiskArbitration.h>
 
@@ -137,7 +137,7 @@ void initialize_diskarbitration(void)
 
 void initialize_diskarbitration(void)
 {
-    WINE_TRACE( "Skipping on non-Apple platform\n" );
+    WINE_TRACE( "Skipping on non-Apple platform or missing DiskArbitration headers on build time\n" );
 }
 
 #endif  /* __APPLE__ */
